#!/usr/local/bin/expect -f
# install_2fxs2fxo.tcl - Expect script to install asterisk config 
# files for 4 ports across two daughter boards
#
# Assumes files have been downloaded to /var/tmp/asterisk 
#
# usage: install_2fxs2fxo_2.tcl targetName

set target  [lindex $argv 0]

spawn telnet $target
send "cd /var/tmp/\r"
expect "> "
send "cp extensions.conf.2fxo2fxs_2 /etc/asterisk/extensions.conf\r"
expect "> "
send "cp zapata.conf.2fxo2fxs_2 /etc/asterisk/zapata.conf\r"
expect "> "
send "cp zaptel.conf.2fxo2fxs_2 /etc/zaptel.conf\r"
expect "> "
send "./ztcfg\r"
expect "> "
send "exit\r"



