#!/usr/local/bin/expect -f
# install_zaptel.tcl - Expect script to install zaptel device nodes 
# (excluding driver executables) on target
#
#
# usage: install_zaptel.tcl targetName

set target  [lindex $argv 0]

spawn telnet $target
send "mkdir -p /dev/zap\r"
expect "> "
send "rm -f /dev/zap/ctl\r"
expect "> "
send "rm -f /dev/zap/channel\r"
expect "> "
send "rm -f /dev/zap/pseudo\r"
expect "> "
send "rm -f /dev/zap/timer\r"
expect "> "
send "rm -f /dev/zap/253\r"
expect "> "
send "rm -f /dev/zap/252\r"
expect "> "
send "rm -f /dev/zap/251\r"
expect "> "
send "rm -f /dev/zap/250\r"
expect "> "
send "mknod /dev/zap/ctl c 196 0\r"
expect "> "
send "mknod /dev/zap/timer c 196 253\r"
expect "> "
send "mknod /dev/zap/channel c 196 254\r"
expect "> "
send "mknod /dev/zap/pseudo c 196 255\r"
expect "> "

# just one channel device for now, add more later

send "rm -f /dev/zap/1\r"
expect "> "
send "mknod /dev/zap/1 c 196 1\r"
expect "> "





