#!/usr/local/bin/expect -f
# install_fxs1.tcl - Expect script to install asterisk config 
# files for a single FXS port
#
# Assumes files have been downloaded to /var/tmp/asterisk 
#
# usage: install_fxs1.tcl targetName

set target  [lindex $argv 0]

spawn telnet $target
send "cd /var/tmp/\r"
expect "> "
send "cp extensions.conf.2fxo2fxs /etc/asterisk/extensions.conf\r"
expect "> "
send "cp zapata.conf.2fxo2fxs /etc/asterisk/zapata.conf\r"
expect "> "
send "cp zaptel.conf.2fxo2fxs /etc/zaptel.conf\r"
expect "> "
send "./ztcfg\r"
expect "> "
send "exit\r"



