#!/usr/local/bin/expect -f
# install_asterisk.tcl - Expect script to install asterisk files 
# (excluding executable) on target
#
# Assumes files have been downloaded to /var/tmp/asterisk 
#
# usage: install_asterisk.tcl targetName

set target  [lindex $argv 0]

spawn telnet $target
send "cd /var/tmp/ipkg/asterisk\r"
expect "> "
send "cp -a etc/* /etc\r"
expect "> "
send "cp -a usr/* /usr\r"
expect "> "
send "cp -a var/* /var\r"
expect "> "
send "cp -a var/* /var\r"
expect "> "
send "cd /var/tmp;rm -Rf ipkg\r"
expect "> "
send "exit\r"



